### Function

# Vips RegionWrite

#### Declaration

    int
    (* VipsRegionWrite) (
      VipsRegion* region,
      VipsRect* area,
      void* a
    )

#### Description [src]

The function should write the pixels in `area` from `region`. `a` is the value passed into `vips_sink_disc()`.

See also

`vips_sink_disc()`.

#### Parameters

`region`

  Type: `VipsRegion`

  Get pixels from here.

  The data is owned by the caller of the function.

`area`

  Type: `VipsRect`

  Area to write.

  The data is owned by the caller of the function.

`a`

  Type: `void*`

  Client data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `int`

0 on success, -1 on error.